This file describes the different strategies used for the prompting process and how the prompts are created. We considered the guidlines offered by OpenAI https://platform.openai.com/docs/guides/prompt-engineering/

## Baseline (baseline):
The questions will be given to the model as is without any additional context. 
Prompts have the following format:
```
You are a helpful medical expert who answers with either yes or no to questions.

Question: <question> 
```

## All in One None Resolve (aionr):
The questions will be given to the model as is with additional triples in their raw format.
Prompts have the following format:
```
You are a helpful medical expert who answers with either yes or no. Consider the information in triple quotes as factual knowledge.

"""<s1> has relationshsip <r1> to <o1>"""
"""<s2> has relationshsip <r2> to <o2>"""

Question: <question>
```

## All in One NL Resolve (aionlr):
The questions will be given to the model as is with additional triples in the form of natural sentences.
Prompts have the following format:
```
You are a helpful medical expert who answers with either yes or no. Consider the information in triple quotes as factual knowledge.

"""<NL sentence for s1r1o1>"""
"""<NL sentence for s2r2o2>"""

Question: <question>
```

## Chain of Thought (cot):
The questions will be given to the model as is. After the answer the model will be iteratively asked to reevaluate their answer given a triple in NL sentence form.
```
You are a helpful medical expert who answers with either yes or no. Consider the information in triple quotes as factual knowledge.

Question: <question>

Given our previous conversation and the following information in triple quotes reevaluate your answer.
"""<NL sentence for s1r1o1>"""

Given our previous conversation and the following information in triple quotes reevaluate your answer.
"""<NL sentence for s2r2o2>"""
```
